package cn.iocoder.yudao.module.order.vo.order;

import cn.iocoder.yudao.module.order.vo.orderItem.OrderItemCheckWarehouseVO;
import cn.iocoder.yudao.module.order.vo.orderItem.OrderItemInWarehouseVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 入仓订单详情 Response VO
* @author yanghao
*/
@Data
@ApiModel(value = "入仓订单详情")
public class OrderWarehouseCheckVO {

    @ApiModelProperty(value = "主键ID")
    private Long orderId;

    @ApiModelProperty(value = "订单编号")
    private String orderNo;

    @ApiModelProperty(value = "到仓订单项列表")
    private List<OrderItemCheckWarehouseVO> orderItemCheckWarehouseVOList;

    @ApiModelProperty(value = "箱/件数", required = true)
    private Integer cartonsNum;

    @ApiModelProperty(value = "类型，多了还是少了，见字典warehouse_in_status", required = true)
    private Integer diffType;

    @ApiModelProperty(value = "箱/件数差", required = true)
    private Integer cartonsNumDiff;

    @ApiModelProperty(value = "所有箱内总货物数量")
    private Integer quantityAll;

    @ApiModelProperty(value = "单位", required = true)
    private String unit;

    @ApiModelProperty(value = "体积")
    private BigDecimal volume;

    @ApiModelProperty(value = "重量")
    private BigDecimal weight;


    @ApiModelProperty(value = "快递单号")
    private String expressNo;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "入仓时间")
    private Date firstInTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;


    /**
     * 重货方数
     */
    @ApiModelProperty(value = "入仓货物-重货方数")
    private BigDecimal heavyNumber;


    /**
     * 泡货方数
     */
    @ApiModelProperty(value = "入仓货物-泡货方数")
    private BigDecimal lightNumber;

}
