package cn.iocoder.yudao.module.order.vo.orderDeparture;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 订单始发仓库 Response VO
* @author 系统管理员
*/
@Data
@ApiModel("管理后台 - 订单始发地 Response VO")
public class OrderDepartureBackVO {

    @ExcelProperty("主键ID")
    @ApiModelProperty(value = "主键ID", required = true)
    private Long id;

    @ExcelProperty("订单id")
    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ExcelProperty("始发地id")
    @ApiModelProperty(value = "始发地id")
    private Long departureId;

    @ExcelProperty("始发国家id")
    @ApiModelProperty(value = "始发国家id")
    private Long departureCountryId;

    @ExcelProperty("始发仓库id")
    @ApiModelProperty(value = "始发仓库id")
    private Long departureWarehouseId;

    @ExcelProperty("始发地详情")
    @ApiModelProperty(value = "始发地详情")
    private String departure;

    @ExcelProperty("0调仓标志;1原始数据，真正的始发仓库")
    @ApiModelProperty(value = "0调仓标志;1原始数据，真正的始发仓库")
    private Integer type;

    @ExcelProperty("货到没到这个仓库：0未到；1已到")
    @ApiModelProperty(value = "货到没到这个仓库：0未到；1已到")
    private Boolean isThis;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

}
