package cn.iocoder.yudao.module.order.vo.orderExceptionChannelPrice;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 不可出渠道异常商品价格 Response VO
* @author 系统管理员
*/
@Data
@ApiModel("管理后台 - 不可出渠道异常商品价格 Response VO")
public class OrderExceptionChannelPriceBackVO {

    @ExcelProperty("主键")
    @ApiModelProperty(value = "主键", required = true)
    private Long id;

    @ExcelProperty("订单id")
    @ApiModelProperty(value = "订单id", required = true)
    private Long orderId;

    @ExcelProperty("订单项id")
    @ApiModelProperty(value = "订单项id", required = true)
    private Long orderItemId;

    @ExcelProperty("异常ID")
    @ApiModelProperty(value = "异常ID")
    private Long exceptionId;

    @ExcelProperty("运费")
    @ApiModelProperty(value = "运费")
    private java.math.BigDecimal freightFee;

    @ExcelProperty("运费货币单位")
    @ApiModelProperty(value = "运费货币单位")
    private Long freightCurrencyId;

    @ExcelProperty("运费计量单位")
    @ApiModelProperty(value = "运费计量单位")
    private Long freightUnitId;

    @ExcelProperty("清关费")
    @ApiModelProperty(value = "清关费")
    private java.math.BigDecimal clearanceFee;

    @ExcelProperty("清关费货币单位")
    @ApiModelProperty(value = "清关费货币单位")
    private Long clearanceCurrencyId;

    @ExcelProperty("清关费计量单位")
    @ApiModelProperty(value = "清关费计量单位")
    private Long clearanceUnitId;

    @ExcelProperty("是否预付：0 到付 1 预付")
    @ApiModelProperty(value = "是否预付：0 到付 1 预付", required = true)
    private Boolean isPayAdvance;

    @ExcelProperty("计费方式：0 运费/清关费 1 全包价")
    @ApiModelProperty(value = "计费方式：0 运费/清关费 1 全包价", required = true)
    private Integer charging;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

}
