package cn.iocoder.yudao.module.order.vo.orderObjective;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 订单目的地查询 VO")
public class OrderObjectiveQueryVO {

    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ApiModelProperty(value = "目的地id")
    private Long objectiveId;

    @ApiModelProperty(value = "目的国家id")
    private Long objectiveCountryId;

    @ApiModelProperty(value = "目的仓库id")
    private Long objectiveWarehouseId;

    @ApiModelProperty(value = "目的地详情")
    private String objective;

    @ApiModelProperty(value = "0调仓标志;1原始数据，实际的目的地仓库")
    private Integer type;

    @ApiModelProperty(value = "货到没到这个仓库：0未到；1已到")
    private Boolean isThis;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
